# `mix bb.install`
[🔗](https://github.com/beam-bots/bb/blob/main/lib/mix/tasks/bb.install.ex#L6)

Installs BB into a project

Composes `bb.add_robot` (scaffolds a robot module) and `bb.add_nx_backend`
(prompts to configure an Nx backend — defaults to EXLA).

## Example

```bash
mix igniter.install bb
mix igniter.install bb --robot MyApp.Robot --backend exla
```

## Options

* `--robot` - The module name for the robot (defaults to `{AppPrefix}.Robot`).
* `--backend` - Nx backend to install: `exla`, `torchx`, or `binary`.
  If omitted, the user is prompted (defaults to `exla` in non-interactive
  runs).

---

*Consult [api-reference.md](api-reference.md) for complete listing*
